/** Copyright © 2019 Université de Genève, LMU Munich - Faculty of Physics, IAP-CNRS/Sorbonne Université
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 3.0 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
/**
 * @file SEImplementation/Task/PixelBoundariesTaskFactory.h
 * @date 06/16/16
 * @author mschefer
 */

#ifndef _SEIMPLEMENTATION_TASK_PIXELBOUNDARIESTASKFACTORY_H
#define _SEIMPLEMENTATION_TASK_PIXELBOUNDARIESTASKFACTORY_H

#include "SEFramework/Task/TaskFactory.h"

namespace SourceXtractor {

/**
 * @class PixelBoundariesTaskFactory
 * @brief Produces a PixelBoundariesTask
 *
 */
class PixelBoundariesTaskFactory : public TaskFactory {

public:

  /// Destructor
  virtual ~PixelBoundariesTaskFactory() = default;

  PixelBoundariesTaskFactory() {}

  // TaskFactory implementation
  virtual std::shared_ptr<Task> createTask(const PropertyId& property_id) const override;

}; /* End of PixelBoundariesTaskFactory class */


} /* namespace SourceXtractor */


#endif
