/** Copyright © 2019 Université de Genève, LMU Munich - Faculty of Physics, IAP-CNRS/Sorbonne Université
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 3.0 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */
/*
 * JacobianTaskFactory.cpp
 *
 *  Created on: Oct 08, 2018
 *      Author: Alejandro Alvarez Ayllon
 */

#include "SEImplementation/Plugin/Jacobian/JacobianTaskFactory.h"
#include "SEImplementation/Plugin/Jacobian/JacobianTask.h"
#include "SEImplementation/Plugin/Jacobian/Jacobian.h"

namespace SourceXtractor {

std::shared_ptr<Task> JacobianTaskFactory::createTask(const SourceXtractor::PropertyId &property_id) const {
  if (property_id.getTypeId() == typeid(JacobianGroup)) {
    return std::make_shared<JacobianGroupTask>(property_id.getIndex());
  }
  else if (property_id.getTypeId() == typeid(JacobianSource)) {
    return std::make_shared<JacobianSourceTask>(property_id.getIndex());
  }
  return nullptr;
}

} // end SourceXtractor
